<?php
// Full Translated By Mohammad Yekta
// Www.DatalifeCMS.IR

if(!defined('DATALIFEENGINE') OR $config['allow_comments'] != "yes")
{
  die("Hacking attempt!");
}

include(ENGINE_DIR.'/classes/parse.class.php');

$parse = new ParseFilter();
$parse->safe_mode = true;
$_TIME = time()+($config['date_adjust']*60);

$name = $db->safesql($parse->process(trim($_POST['name'])));
$mail = $db->safesql($parse->process(trim($_POST['mail'])));
$movie_id = intval($_REQUEST['movie_id']);
$stop = array ();

if ($is_logged)
{
    $name = $member_id['name'];
    $mail = $member_id['email'];
}

	$_IP = $db->safesql($_SERVER['REMOTE_ADDR']);

	if ($config['allow_comments_wysiwyg'] != "yes")
		$comments = $db->safesql($parse->BB_Parse($parse->process($_POST['comments']), false));
	else{
		$parse->wysiwyg = true;
		$parse->ParseFilter(Array('div', 'a', 'span', 'p', 'br'), Array(), 0, 1);
		$comments = $db->safesql($parse->BB_Parse($parse->process($_POST['comments'])));
	}

	//$comments    = word_filter($comments);

	if (!$user_group[$member_id['user_group']]['captcha']) {
		$_SESSION['sec_code_session'] = 1;
		$_REQUEST['sec_code'] = 1;
	}

    if( strlen($name) > 50)
    {
		$stop[] = $lang['news_err_1'];
        $CN_HALT = TRUE;
    }

    if( strlen($mail) > 50 AND !$is_logged){
		$stop[] = $lang['news_err_2'];
        $CN_HALT = TRUE;
    }
    if(!$movie_id)
    {
	   $stop[] = $lang['news_err_id'];
       $CN_HALT = TRUE;
    }
    if( strlen($comments) > 3000){
		$stop[] = $lang['news_err_3'];
        $CN_HALT = TRUE;
    }
    if ($_REQUEST['sec_code'] != $_SESSION['sec_code_session'] OR !$_SESSION['sec_code_session']) {
		$stop[] = $lang['news_err_30'];
        $CN_HALT = TRUE;
    }

    if ($comments =='')
    {
		$stop[] = $lang['news_err_11'];
        $CN_HALT = TRUE;
    }

    if($member_id['user_group'] > 2 AND intval ($config['flood_time']) AND !$CN_HALT)
    {
        if(flooder($_IP) == TRUE ){
		$stop[] = $lang['news_err_4']." ".$lang['news_err_5']." {$config['flood_time']} ".$lang['news_err_6'];
		$CN_HALT = TRUE;
        }
    }

	if (!$is_logged and $CN_HALT != TRUE)
	{
	 $db->query("SELECT name from " . PREFIX . "_users where LOWER(name) = '".strtolower($name)."'");

	 if ($db->num_rows() > 0) {
	 $stop[] = $lang['news_err_7'];
	 $CN_HALT = TRUE;
     }
	$db->free();
    }



    if (empty($name) and $CN_HALT != TRUE) {
	    $stop[] = $lang['news_err_9'];
        $CN_HALT = TRUE;
    }

    if($mail != "")
    { $ok = FALSE;
        if(preg_match("/^[\.A-z0-9_\-]+[@][A-z0-9_\-]+([.][A-z0-9_\-]+)+[A-z]{1,4}$/", $mail)) $ok = TRUE;
        elseif($config['allow_url_instead_mail'] == "yes" and preg_match("/((http(s?):\/\/)|(www\.))([\w\.]+)([\/\w+\.-?]+)/", $mail)) $ok = TRUE;
        elseif($config['allow_url_instead_mail'] != "yes"){
              $stop[] = $lang['news_err_10'];
              $CN_HALT = TRUE;
        }
        else{
              $stop[] = $lang['news_err_10'];
              $CN_HALT = TRUE;
        }
    }

    if(intval($config['auto_wrap'])){
		$comments = preg_replace("#([^\s<>'\"/\.\\-\?&\n\r\%]{".intval($config['auto_wrap'])."})#i", "\\1<br />" ,$comments);
    }

	$time = date ("Y-m-d H:i:s", $_TIME);

    if ($CN_HALT) {

            msgbox ($lang['all_err_1'], implode("<br />", $stop)."<br /><br /><a href=\"javascript:history.go(-1)\">".$lang['all_prev']."</a>");

    } else {

	 $_SESSION['sec_code_session'] = 0;
	 $update_comments = false;

	 $row = $db->super_query("SELECT id, movie_id, user_id, DATE_FORMAT(date,'%Y-%m-%d') as date, text, ip, is_register FROM " . PREFIX . "_video_comments WHERE movie_id = '$movie_id' ORDER BY id DESC LIMIT 0,1");

	 if ($row['id']) {

		if ($row['user_id'] == $member_id['user_id'] AND $row['is_register']) $update_comments = true;
		elseif ($row['ip'] == $_IP AND !$row['is_register'] AND !$is_logged) $update_comments = true;

		if ($row['date'] != date("Y-m-d", $_TIME)) $update_comments = false;

		if (((strlen($row['text']) + strlen($comments)) > 3000) AND $update_comments)
		{
			$update_comments = false;
			$stop[] = $lang['news_err_3'];
	        $CN_HALT = TRUE;
		}

	 }

  if (!$CN_HALT) {

	 if ($update_comments) {

		 $comments = $row['text']."<br /><br />".$comments;
		 $db->query("UPDATE " . PREFIX . "_video_comments set text='{$comments}' WHERE id='{$row['id']}'");

	 }
	 else {

		 if ($is_logged)
			 $db->query("INSERT INTO " . PREFIX . "_video_comments (movie_id, user_id, date, autor, email, text, ip, is_register) values ('$movie_id', '$member_id[user_id]', '$time', '$name', '$mail', '$comments', '$_IP', '1')");
		 else
			 $db->query("INSERT INTO " . PREFIX . "_video_comments (movie_id, date, autor, email, text, ip, is_register) values ('$movie_id', '$time', '$name', '$mail', '$comments', '$_IP', '0')");

		 $db->query("UPDATE " . PREFIX . "_video set comm_num=comm_num+1 where id='$movie_id'");

		 if ($is_logged) {
			 $db->query("UPDATE " . PREFIX . "_users set comm_num=comm_num+1 where user_id ='$member_id[user_id]'");
		 }
	}

	 if($config['flood_time'] != 0 and $config['flood_time'] != "")
	 {
		 $db->query("INSERT INTO " . PREFIX . "_flood (id, ip) values ('$_TIME', '$_IP')");
	 }

	clear_cache ('news_');
	if (!$ajax_adds) { header("Location: {$_SERVER['REQUEST_URI']}");}

  } else msgbox ($lang['all_err_1'], implode("<br />", $stop)."<br /><br /><a href=\"javascript:history.go(-1)\">".$lang['all_prev']."</a>");

}

?>