<?php
// Full Translated By Mohammad Yekta
// Www.DatalifeCMS.IR

@session_start();
@error_reporting(7);
@ini_set('display_errors', true);
@ini_set('html_errors', false);

define('DATALIFEENGINE', true);
define('ENGINE_DIR', dirname ( dirname( dirname( dirname(__FILE__) ) )));
define('ROOT_DIR',   dirname ( ENGINE_DIR ));


include ENGINE_DIR.'/data/config.php';
require_once ENGINE_DIR.'/classes/mysql.php';
require_once ENGINE_DIR.'/data/dbconfig.php';

if ($_COOKIE['dle_skin']) {
	if (@is_dir(ROOT_DIR.'/templates/'.$_COOKIE['dle_skin']))
		{
			$config['skin'] = $_COOKIE['dle_skin'];
		}
}

if ($config["lang_".$config['skin']]) {

     include_once ROOT_DIR.'/language/'.$config["lang_".$config['skin']].'/website.lng';

} else {

     include_once ROOT_DIR.'/language/'.$config['langs'].'/website.lng';

}

$config['charset'] = ($lang['charset'] != '') ? $lang['charset'] : $config['charset'];

require_once ENGINE_DIR.'/modules/functions.php';
require_once ENGINE_DIR.'/classes/parse.class.php';
require_once ENGINE_DIR.'/modules/sitelogin.php';

$parse = new ParseFilter();
$parse->safe_mode = true;

if (!$is_logged) die ("error");

$id = intval($_REQUEST['id']);

if (!$id) die ("error");

$user_group = get_vars ("usergroup");

if (!$user_group) {
  $user_group = array ();

  $db->query("SELECT * FROM " . PREFIX . "_usergroups ORDER BY id ASC");

  while($row = $db->get_row()){

   $user_group[$row['id']] = array ();

     foreach ($row as $key => $value)
     {
       $user_group[$row['id']][$key] = $value;
     }

  }
  set_vars ("usergroup", $user_group);
  $db->free();
}

function decode_to_utf8($int=0)
{
		$t = '';

		if ( $int < 0 )
		{
			return chr(0);
		}
		else if ( $int <= 0x007f )
		{
			$t .= chr($int);
		}
		else if ( $int <= 0x07ff )
		{
			$t .= chr(0xc0 | ($int >> 6));
			$t .= chr(0x80 | ($int & 0x003f));
		}
		else if ( $int <= 0xffff )
		{
			$t .= chr(0xe0 | ($int  >> 12));
			$t .= chr(0x80 | (($int >> 6) & 0x003f));
			$t .= chr(0x80 | ($int  & 0x003f));
		}
		else if ( $int <= 0x10ffff )
		{
			$t .= chr(0xf0 | ($int  >> 18));
			$t .= chr(0x80 | (($int >> 12) & 0x3f));
			$t .= chr(0x80 | (($int >> 6) & 0x3f));
			$t .= chr(0x80 | ($int  &  0x3f));
		}
		else
		{
			return chr(0);
		}

		return $t;
}

function convert_unicode($t, $to = 'UTF-8')
{
		$to = strtolower($to);

		if ($to == 'utf-8') {

			$t = preg_replace( '#%u([0-9A-F]{1,4})#ie', "decode_to_utf8(hexdec('\\1'))", utf8_encode($t) );
			$t = urldecode ($t);

		} else {

			$t = preg_replace( '#%u([0-9A-F]{1,4})#ie', "'&#' . hexdec('\\1') . ';'", $t );
			$t = urldecode ($t);
    		$t = html_entity_decode($t, ENT_NOQUOTES, $to);

		}

		return $t;
}



	if ($_REQUEST['action'] == "edit")
	{
	   $row = $db->super_query("SELECT id, text, is_register, autor FROM " . PREFIX . "_video_comments where id = '$id'");

       if ($id != $row['id']) die ("error");

	   $have_perm = 0;

       if ($is_logged AND (($member_id['name'] == $row['autor'] AND $row['is_register'] AND $user_group[$member_id['user_group']]['allow_editc']) OR $user_group[$member_id['user_group']]['edit_allc'])) {$have_perm = 1;}

	   if (!$have_perm) die ("error");

	if ($config['allow_comments_wysiwyg'] == "yes") { $comm_txt = $parse->decodeBBCodes($row['text']); } else $comm_txt = $parse->decodeBBCodes($row['text'], false);

$buffer = <<<HTML
<textarea id='edit-comm-{$id}' style="width:99%; height:150px;font-family:verdana; font-size:11px; border:1px solid #E0E0E0">{$comm_txt}</textarea><br>
<div align="right" style="width:99%;"><input class=bbcodes title="$lang[bb_t_apply]" type=button onclick="ajax_video_save_comm_edit('{$id}'); return false;" value="$lang[bb_b_apply]">
<input class=bbcodes title="$lang[bb_t_cancel]" type=button onclick="ajax_cancel_comm_edit('{$id}'); return false;" value="$lang[bb_b_cancel]">
</div>
HTML;
	}
	elseif ($_REQUEST['action'] == "save") {
	   $row = $db->super_query("SELECT id, text, is_register, autor FROM " . PREFIX . "_video_comments where id = '$id'");

       if ($id != $row['id']) die ("error");

	   $have_perm = 0;

       if ($is_logged AND (($member_id['name'] == $row['autor'] AND $row['is_register'] AND $user_group[$member_id['user_group']]['allow_editc']) OR $user_group[$member_id['user_group']]['edit_allc'])) {$have_perm = 1;}

	   if (!$have_perm) die ("error");

	if ($config['allow_comments_wysiwyg'] == "yes") { $parse->wysiwyg = true; $use_html = true; $parse->ParseFilter(Array('div', 'a', 'span', 'p', 'br'), Array(), 0, 1);} else $use_html = false;

	//$comm_txt    = word_filter($comm_txt);
	$comm_txt = $parse->BB_Parse($parse->process(addslashes(convert_unicode($_POST['comm_txt'], $config['charset']))), $use_html);
	$comm_update = $db->safesql($comm_txt);

	$db->query("UPDATE " . PREFIX . "_video_comments set text='$comm_update' where id = '$id'");

	$comm_txt = preg_replace ("'\[hide\](.*?)\[/hide\]'si","\\1", $comm_txt);
	$buffer = stripslashes($comm_txt);

	}
	else die ("error");

@header("HTTP/1.0 200 OK");
@header("HTTP/1.1 200 OK");
@header("Cache-Control: no-cache, must-revalidate, max-age=0");
@header("Expires: 0");
@header("Pragma: no-cache");
@header("Content-type: text/css; charset=".$config['charset']);
echo $buffer;
?>